<?php
/**
 * @file
 * 实现预付款支付的个人用户页面.
 * zhupou.cn制作
 */

function uc_deposit_list_my_deposit($user) {
  //$sql_total = "SELECT count(*) FROM {uc_deposit} d WHERE d.uid = %d ";
  $total_deposit = '<div id="my-deposit-total-deposit">';
  $total_deposit .= t('当前预存款余额:') . uc_deposit_get_user_current_deposit($user->uid);
  $total_deposit .= "</div>";
  $sql = "SELECT d.txn_id, d.uid, d.deposit, d.changed, d.description FROM {uc_deposit} d WHERE d.uid = %d ORDER BY d.changed DESC";
  $sql_count = "SELECT count(d.txn_id) FROM {uc_deposit} d WHERE d.uid = %d";        

  $header = array(
    array('data' => t('ID'), 'field' => 'd.txn_id'),
    array('data' => t('预存款'), 'field' => 'd.deposit'),
    array('data' => t('描述'), 'field' => 'd.description'),
    array('data' => t('时间'), 'field' => 'd.changed', 'sort' => 'desc'),
  );
  
  $query = db_select('uc_deposit', 'd')->extend('PagerDefault')->extend('TableSort')
    ->fields('d', array('txn_id', 'uid', 'deposit', 'changed', 'description'))
    ->condition('d.uid', $user->uid)
    ->groupBy('d.uid')
    ->groupBy('d.deposit')
    ->groupBy('d.txn_id')
    ->orderByHeader($header)
    ->limit(30);

  $result = $query->execute();
  $rows = array();
  foreach ($result as $data) {
    $rows[$data->txn_id] = array(
      'txn_id' => $data->txn_id,
      'deposit' => $data->deposit,
      'description' => $data->description,
      'changed' => format_date($data->changed, 'custom', 'Y-m-d H:i:s'),
    );
  }
  $output = array();
  $output['total_deposit'] = array(
    '#markup' => $total_deposit,
  );
/*
  $output['list'] = array(
    '#type' => 'container',
    '#id' => 'uc_deposit_list_wrapper',
  );
  */
  $output['table'] = array(
    '#theme' => 'table',
    '#header' => $header,
    '#rows' => $rows,
  );
  $output['pager'] = array(
    '#theme' => 'pager',
  );

  return $output;
}